Page MenuHomePhabricator

Migrate WDQS to profile::java
Closed, ResolvedPublic3 Estimated Story Points

Description

In T253553 profile::java was created, which streamlines the installation and configuration of Java (picking the correct packages/repos depending on the target release, opting in to the hardened java.security config, passing Java opts centrally and more).

WDQS should also switch to it.

Event Timeline

herron triaged this task as Medium priority.Oct 2 2020, 5:16 PM
CBogen raised the priority of this task from Medium to High.Oct 5 2020, 3:27 PM
CBogen lowered the priority of this task from High to Medium.
CBogen raised the priority of this task from Medium to High.
CBogen moved this task from Incoming to Operations/SRE on the Wikidata-Query-Service board.

Change 910568 had a related patch set uploaded (by Bking; author: Bking):

[operations/puppet@production] wdqs: use newer java profile for wdqs

https://gerrit.wikimedia.org/r/910568

Change 910568 merged by Bking:

[operations/puppet@production] wdqs: use newer java profile for wdqs

https://gerrit.wikimedia.org/r/910568

Change 910571 had a related patch set uploaded (by Bking; author: Bking):

[operations/puppet@production] wdqs: correct profile logic

https://gerrit.wikimedia.org/r/910571

Change 910571 merged by Bking:

[operations/puppet@production] wdqs: correct profile logic

https://gerrit.wikimedia.org/r/910571

Change 910572 had a related patch set uploaded (by Bking; author: Bking):

[operations/puppet@production] wdqs: use proper YAML variable type

https://gerrit.wikimedia.org/r/910572

Change 910572 merged by Bking:

[operations/puppet@production] wdqs: use proper YAML variable type

https://gerrit.wikimedia.org/r/910572

Gehel set the point value for this task to 3.May 1 2023, 3:24 PM

Change 929962 had a related patch set uploaded (by Gehel; author: Gehel):

[operations/puppet@production] query_service: migrate WDQS to profile::java

https://gerrit.wikimedia.org/r/929962

Change 929962 merged by Ryan Kemper:

[operations/puppet@production] query_service: migrate WDQS to profile::java

https://gerrit.wikimedia.org/r/929962

Gehel moved this task from Needs Review to Needs Reporting on the Data-Platform-SRE board.

Change 930870 had a related patch set uploaded (by Bking; author: Bking):

[operations/puppet@production] wdqs: Enable profile::java

https://gerrit.wikimedia.org/r/930870

Change 930870 abandoned by Bking:

[operations/puppet@production] wdqs: Enable profile::java

Reason:

Already fixed via 930870

https://gerrit.wikimedia.org/r/930870